Rated 5 out of 5 stars

Just so you know for recent Seamonkey users (at least up to 2.4.1): install orbit3+1, go in your local folder and edit install.rdf (plain text file). Change the "maxVersion" to something higher than 2.4.1. Restart Seamonkey and select the Orbit skin. Work flawless for me!

If anyone want to repackage it with this small change, that would be nice!

Actually Not Compatible

Please don't. Orbit is actually not compatible with recent SM versions. The Add-ons Manager and Bookmarks Manager are just two examples that are badly broken with it. A compatibility bump alone doesn't fix that.